Skip to main content
PATCH
Update an SMTP relay

Authorizations

Authorization
string
header
default:ACCESS_TOKEN
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
Example:

"Business relay"

smtp_host
string
Example:

"smtp.example.com"

smtp_port
integer
Example:

587

smtp_username
string
Example:

"hello@example.com"

smtp_password
string<password>
smtp_security
enum<string>
Available options:
none,
starttls,
ssl_tls
status
enum<string>
Available options:
active,
inactive
is_default
boolean

Response

200 - application/json

Relay updated.

success
boolean
required
Example:

true

message
string
required
Example:

"Done"

data
any
required

Payload; shape depends on the endpoint.